Package org.xnio

# Enum IoFuture.Status

java.lang.Object
java.lang.Enum<IoFuture.Status>
org.xnio.IoFuture.Status

All Implemented Interfaces:
  `Serializable`, `Comparable<IoFuture.Status>`, `java.lang.constant.Constable`

Enclosing interface:
  `IoFuture<T>`

public static enum IoFuture.Status extends Enum<IoFuture.Status>
The current status of an asynchronous operation.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CANCELLED`
The operation was cancelled.
`DONE`
The operation has completed successfully.
`FAILED`
The operation did not succeed.
`WAITING`
The operation is still in progress.

## Method Summary

Modifier and Type
Method
Description
`static IoFuture.Status`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static IoFuture.Status[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### WAITING

public static final IoFuture.Status WAITING
The operation is still in progress.

### DONE

public static final IoFuture.Status DONE
The operation has completed successfully.

### CANCELLED

public static final IoFuture.Status CANCELLED
The operation was cancelled.

### FAILED

public static final IoFuture.Status FAILED
The operation did not succeed.

## Method Details

### values

public static IoFuture.Status[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static IoFuture.Status valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null